Printago API
GET /v1/orders/items/{itemId}

Get a specific order item

Requires: order.view

Path Parameters

itemId required
string
The order item's unique identifier

Response Schema

OrderItem
createdAtrequired
string
format: date-time
externalIdoptional
string
externalOrderIdoptional
string
externalProductIdoptional
string
externalSkuoptional
string
idrequired
string
pattern: ^[a-z0-9]{24}$
ignoredoptional
boolean
inputsoptional
Record<string, any>
orderIdrequired
string
pattern: ^[a-z0-9]{24}$
originalSkuoptional
string
Original SKU identifier sent when creating the order item (sku or externalSku), null if skuId was provided directly
processedAtoptional
string
processedStatusoptional
any
quantityrequired
number
min: 1
resolutionNoteoptional
object
Describes why SKU or variant resolution failed, null when resolved successfully
skuConfigoptional
object
skuIdrequired
string
sourceoptional
any
statusoptional
string
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
updatedAtrequired
string
format: date-time

Example Response

200 OK — application/json
{
  "orderId": "string",
  "quantity": 1,
  "id": "string",
  "storeId": "string",
  "createdAt": "2026-08-24T03:58:55.735Z",
  "updatedAt": "2026-08-24T03:58:55.735Z"
}